Subject: RE: [Isis-wg] isisISAdjState and 3Way State (was Don's ...)

From: "Don Goodspeed" <[email-masked]>
Date: Wed, 9 Oct 2002 14:32:29 -0400 (EDT)

Jeff,

I assume you are asking "if we should keep the down and failed
states for the isisISAdjState".  If so, I'd say yes.

If we add a notification (like OSPF has) for adjacency state
changes, down will be needed.  And failed is possibly used
by some vendors when the adjacency is rejected.

-don

 --- On Wed 10/09, Jeff Parker  wrote:
From: Jeff Parker [mailto: [email-masked]]
To: [email-masked], [email-masked]
Date: Wed, 9 Oct 2002 10:40:03 -0400
Subject: RE: [Isis-wg] Don's MIB ToDo list

> > 3 way state is different from 10589 adjacency state.
> > 
> > Rajesh
> 
> Rajesh -
> 	Thanks.  I have added new state, and re-ordered the 
> enums on the isisISAdjState, which are not carried on the
> wire.  The 3Way state retains the on-the-wire encoding.
> 	
> 	Should we retain the "down" and "failed" states?  
> I would think that 'initiailizing' and 'up' are the 
> only states we'll see.
> 
> - jeff parker
> 
>     isisISAdjState OBJECT-TYPE
>         SYNTAX INTEGER
>             {
>                  down (1),
>                  initializing (2),
>                  up (3),
>                  failed(4)
>             }
>         MAX-ACCESS read-only
>         STATUS current
>         DESCRIPTION
>             "The state of the adjacency"
>         REFERENCE "{ISIS.aoi adjacencyState (78)}"
>     ::= { isisISAdjEntry 2 }
> 
>     isisIS3WayAdjState OBJECT-TYPE
>         SYNTAX INTEGER
>             {
>                  up (0),
>                  initializing (1),
>                  down (2),
>                  failed (3)
>             }
>         MAX-ACCESS read-only
>         STATUS current
>         DESCRIPTION
>             "The 3Way state of the adjacency"
>         REFERENCE "{ RFC 3373 }"
>     ::= { isisISAdjEntry 3 }
> 
>     
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg
> 

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg